#ifndef MY_LCD
#define MY_LCD

#define USBDEV_SHARED_VENDOR    0x4242
#define USBDEV_SHARED_PRODUCT   0xe131

#define PSCMD_ECHO   0
#define PSCMD_GET    1
#define PSCMD_LED    2
#define PSCMD_LCD    3
#define PSCMD_LCD_SD 6		
#define PSCMD_LCD_SC 7		
#define PSCMD_LCD_CS 8

#define WRITE_BLOCK_SIZE 66

#define WIDTH 128
#define HEIGHT 64
#define PHEIGHT 8
#define MAX_PACKET 66

int open_lcd();

int close_lcd();

void update_screen();

int read_keys();

void set_led(unsigned char status);

void putpixel(unsigned char x,unsigned char y,unsigned char value);

void clearscreen(unsigned char value);

#endif
