#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <usb.h>
#include "ks0108_usb.h"
#include "font5x7.h"

unsigned char x = 0, y = 0;

int
main (int argc, char **argv)
{
  int data;
  int i,j,v,to_put;
  usb_init ();
  open_lcd();
  x = y = 0;
  clearscreen(0);update_screen();
  while ((data = getchar ()) != EOF)
    {
     if(data==0x0a){
        x=0;y++;if(y>8) y=0;
	continue;
      };
      if((data<32)||(data>127)) continue;      
      to_put=data-32;
      v=1;
      for(j=0;j<8;j++){
	      for(i=0;i<6;i++){
	      	putpixel(i+x*6,j+y*8,(i==5)?0:Font5x7[to_put*5+i]&v);
	      };
	      v<<=1;
       };
	x++;
	if(x>21){
	x=0;y++;
	if(y>7) x=y=0;
	}
	update_screen();
    };
  printf ("test succeeded\n");
  close_lcd ();
  return 0;
}
